JaxbOneToOneElement (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.hbm
Class JaxbOneToOneElement

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.hbm.JaxbOneToOneElement

    public class JaxbOneToOneElement

extends Object

Java class for one-to-one-element complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="one-to-one-element">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="meta" type="{http://www.hibernate.org/xsd/hibernate-mapping}meta-element" maxOccurs="unbounded" minOccurs="0"/>
             <element name="formula" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="access" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="cascade" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="class" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="constrained" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
           <attribute name="embed-xml" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
           <attribute name="entity-name" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="fetch" type="{http://www.hibernate.org/xsd/hibernate-mapping}fetch-attribute" />
           <attribute name="foreign-key" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="formula" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="lazy" type="{http://www.hibernate.org/xsd/hibernate-mapping}lazy-attribute-with-no-proxy" />
           <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="node" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="outer-join" type="{http://www.hibernate.org/xsd/hibernate-mapping}outer-join-attribute" />
           <attribute name="property-ref" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected String` | `access`
`protected String` | `cascade`
`protected String` | `clazz`
`protected Boolean` | `constrained`
`protected Boolean` | `embedXml`
`protected String` | `entityName`
`protected JaxbFetchAttribute` | `fetch`
`protected String` | `foreignKey`
`protected List<String>` | `formula`
`protected String` | `formulaAttribute`
`protected JaxbLazyAttributeWithNoProxy` | `lazy`
`protected List<JaxbMetaElement>` | `meta`
`protected String` | `name`
`protected String` | `node`
`protected JaxbOuterJoinAttribute` | `outerJoin`
`protected String` | `propertyRef`

Constructor Summary
`JaxbOneToOneElement()`

Method Summary
`String` | `getAccess()` Gets the value of the access property.
`String` | `getCascade()` Gets the value of the cascade property.
`String` | `getClazz()` Gets the value of the clazz property.
`String` | `getEntityName()` Gets the value of the entityName property.
`JaxbFetchAttribute` | `getFetch()` Gets the value of the fetch property.
`String` | `getForeignKey()` Gets the value of the foreignKey property.
`List<String>` | `getFormula()` Gets the value of the formula property.
`String` | `getFormulaAttribute()` Gets the value of the formulaAttribute property.
`JaxbLazyAttributeWithNoProxy` | `getLazy()` Gets the value of the lazy property.
`List<JaxbMetaElement>` | `getMeta()` Gets the value of the meta property.
`String` | `getName()` Gets the value of the name property.
`String` | `getNode()` Gets the value of the node property.
`JaxbOuterJoinAttribute` | `getOuterJoin()` Gets the value of the outerJoin property.
`String` | `getPropertyRef()` Gets the value of the propertyRef property.
`boolean` | `isConstrained()` Gets the value of the constrained property.
`boolean` | `isEmbedXml()` Gets the value of the embedXml property.
`void` | `setAccess(String value)` Sets the value of the access property.
`void` | `setCascade(String value)` Sets the value of the cascade property.
`void` | `setClazz(String value)` Sets the value of the clazz property.
`void` | `setConstrained(Boolean value)` Sets the value of the constrained property.
`void` | `setEmbedXml(Boolean value)` Sets the value of the embedXml property.
`void` | `setEntityName(String value)` Sets the value of the entityName property.
`void` | `setFetch(JaxbFetchAttribute value)` Sets the value of the fetch property.
`void` | `setForeignKey(String value)` Sets the value of the foreignKey property.
`void` | `setFormulaAttribute(String value)` Sets the value of the formulaAttribute property.
`void` | `setLazy(JaxbLazyAttributeWithNoProxy value)` Sets the value of the lazy property.
`void` | `setName(String value)` Sets the value of the name property.
`void` | `setNode(String value)` Sets the value of the node property.
`void` | `setOuterJoin(JaxbOuterJoinAttribute value)` Sets the value of the outerJoin property.
`void` | `setPropertyRef(String value)` Sets the value of the propertyRef property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### meta

    protected List<JaxbMetaElement> meta

### formula

    protected List<String> formula

### access

    protected String access

### cascade

    protected String cascade

### clazz

    protected String clazz

### constrained

    protected Boolean constrained

### embedXml

    protected Boolean embedXml

### entityName

    protected String entityName

### fetch

    protected JaxbFetchAttribute fetch

### foreignKey

    protected String foreignKey

### formulaAttribute

    protected String formulaAttribute

### lazy

    protected JaxbLazyAttributeWithNoProxy lazy

### name

    protected String name

### node

    protected String node

### outerJoin

    protected JaxbOuterJoinAttribute outerJoin

### propertyRef

    protected String propertyRef

Constructor Detail

### JaxbOneToOneElement

    public JaxbOneToOneElement()

Method Detail

### getMeta

    public List<JaxbMetaElement> getMeta()

  Gets the value of the meta property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the meta property.

  For example, to add a new item, do as follows:

          getMeta().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbMetaElement`

### getFormula

    public List<String> getFormula()

  Gets the value of the formula property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the formula property.

  For example, to add a new item, do as follows:

          getFormula().add(newItem);

  Objects of the following type(s) are allowed in the list `String`

### getAccess

    public String getAccess()

  Gets the value of the access property.

  Returns:
    possible object is `String`

### setAccess

    public void setAccess(String value)

  Sets the value of the access property.

  Parameters:
    `value` - allowed object is `String`

### getCascade

    public String getCascade()

  Gets the value of the cascade property.

  Returns:
    possible object is `String`

### setCascade

    public void setCascade(String value)

  Sets the value of the cascade property.

  Parameters:
    `value` - allowed object is `String`

### getClazz

    public String getClazz()

  Gets the value of the clazz property.

  Returns:
    possible object is `String`

### setClazz

    public void setClazz(String value)

  Sets the value of the clazz property.

  Parameters:
    `value` - allowed object is `String`

### isConstrained

    public boolean isConstrained()

  Gets the value of the constrained property.

  Returns:
    possible object is `Boolean`

### setConstrained

    public void setConstrained(Boolean value)

  Sets the value of the constrained property.

  Parameters:
    `value` - allowed object is `Boolean`

### isEmbedXml

    public boolean isEmbedXml()

  Gets the value of the embedXml property.

  Returns:
    possible object is `Boolean`

### setEmbedXml

    public void setEmbedXml(Boolean value)

  Sets the value of the embedXml property.

  Parameters:
    `value` - allowed object is `Boolean`

### getEntityName

    public String getEntityName()

  Gets the value of the entityName property.

  Returns:
    possible object is `String`

### setEntityName

    public void setEntityName(String value)

  Sets the value of the entityName property.

  Parameters:
    `value` - allowed object is `String`

### getFetch

    public JaxbFetchAttribute getFetch()

  Gets the value of the fetch property.

  Returns:
    possible object is `JaxbFetchAttribute`

### setFetch

    public void setFetch(JaxbFetchAttribute value)

  Sets the value of the fetch property.

  Parameters:
    `value` - allowed object is `JaxbFetchAttribute`

### getForeignKey

    public String getForeignKey()

  Gets the value of the foreignKey property.

  Returns:
    possible object is `String`

### setForeignKey

    public void setForeignKey(String value)

  Sets the value of the foreignKey property.

  Parameters:
    `value` - allowed object is `String`

### getFormulaAttribute

    public String getFormulaAttribute()

  Gets the value of the formulaAttribute property.

  Returns:
    possible object is `String`

### setFormulaAttribute

    public void setFormulaAttribute(String value)

  Sets the value of the formulaAttribute property.

  Parameters:
    `value` - allowed object is `String`

### getLazy

    public JaxbLazyAttributeWithNoProxy getLazy()

  Gets the value of the lazy property.

  Returns:
    possible object is `JaxbLazyAttributeWithNoProxy`

### setLazy

    public void setLazy(JaxbLazyAttributeWithNoProxy value)

  Sets the value of the lazy property.

  Parameters:
    `value` - allowed object is `JaxbLazyAttributeWithNoProxy`

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### getNode

    public String getNode()

  Gets the value of the node property.

  Returns:
    possible object is `String`

### setNode

    public void setNode(String value)

  Sets the value of the node property.

  Parameters:
    `value` - allowed object is `String`

### getOuterJoin

    public JaxbOuterJoinAttribute getOuterJoin()

  Gets the value of the outerJoin property.

  Returns:
    possible object is `JaxbOuterJoinAttribute`

### setOuterJoin

    public void setOuterJoin(JaxbOuterJoinAttribute value)

  Sets the value of the outerJoin property.

  Parameters:
    `value` - allowed object is `JaxbOuterJoinAttribute`

### getPropertyRef

    public String getPropertyRef()

  Gets the value of the propertyRef property.

  Returns:
    possible object is `String`

### setPropertyRef

    public void setPropertyRef(String value)

  Sets the value of the propertyRef property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.